
{% extends 'base.html' %}

{% block title %}
    List
{% endblock title %}

{% block content %}
    <h1>Employee List</h1>
    
    <a href="{% url 'employee_create' %}" class="btn btn-primary">Create</a>
    
    <table class="table">
        <thead>
            <th>Name</th>
            <th>Email</th>
            <th>Contact</th>
            <th></th>
        </thead>

        <tbody>
            {% for emp in employees %}
                <tr>
                    <td><a href="{% url 'employee_detail' emp.id %}">{{emp.emp_name}}</a></td>
                    <td>{{emp.emp_email}}</td>
                    <td>{{emp.emp_contact}}</td>
                    <td>
                        <a href="{% url 'employee_edit' emp.id %}"><button class="btn btn-primary">Edit</button></a>
                        <a href="{% url 'employee_delete' emp.id %}"><button class="btn btn-danger">Delete</button></a>
                    </td>
                </tr>
            {% endfor %}
        </tbody>
    </table>

{% endblock content %}